---
layout: default
title: GitLab.com
suppress_header: true
extra_css:
  - gitlab-com.css
---

<div class="wrapper">
  <div class="image-title">
    <div class="color-bg">
      <div>
        <h1>GitLab.com</h1>
        <h3>host your private and public software projects for free</h3>
        <div class="header">
         <a href="https://gitlab.com/users/sign_in" id="join-community" class="gs-button">Sign Up</button></a>
        </div>
        <div class="header-feature hidden-sm hidden-xs">
          <ul>
            <li>
              <i class="fa fa-check"></i>
              <p>Free public and private repositories, issue tracking, wikis, and CI.</p>
            </li>
            <li>
              <i class="fa fa-check"></i>
              <p>Runs GitLab Enterprise Edition</p>
            </li>
            <li>
              <i class="fa fa-check"></i>
              <p>No installation required, sign up above for a free account!</p>
            </li>
          </ul>
        </div>
        <div class="header-feature-small hidden-md hidden-lg">
          <ul>
            <li>
              <h4>Free private repositories, issue-tracking, wikis and continuous integration.</h4>
            </li>
            <li>
              <h4>Runs GitLab Enterprise Edition with <a href="https://about.gitlab.com/features/#compare">features that are not in GitLab Community Edition</a>.</h4>
            </li>
            <li>
              <h4>No installation required, just sign up above for a free account!</h4>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <div class="sub-wrapper">
    <div class="container">
      <div class="row advantages">
        <div class="col-xs-1 col-md-1"></div>
        <div class="col-xs-12 col-md-5">
          <h2>Advantages<a name="advantages"></a></h2>
          <ul>
              <li>Unlimited repositories</li>
              <li>Unlimited private collaborators</li>
              <li>10GB disk space per project (including Git LFS)</li>
              <li>Unlimited total disk space</li>
              <li>Completely free, no credit card required</li>
              <li><a href="/2016/02/18/gitlab-dot-com-now-supports-an-alternate-git-plus-ssh-port/">Alternate SSH port for git+ssh (443)</a></li>
          </ul>
          <p><a href="https://gitlab.com/explore">Explore the public projects on GitLab.com</a> (no account needed)</p>
        </div>
        <div class="col-md-4 hidden-sm hidden-xs">
          <img src="/images/wordmark.png" alt="" />
        </div>
        <div class="col-xs-6 col-md-1"></div>
      </div>

      <hr class="divider" />

      <div class="row users">
        <div class="text-center users">
          <h2>GitLab.com is used by more than 100,000 people,
          <br>
          including these organizations: </h2>
          <br />
        </div>
        <div class="logos">
          <div class="logo">
            <div class="logo_ibm">
              <img alt="image" src="/images/gitlab-com/ibm.png">
            </div>
          </div>
          <div class="logo">
            <div class="logo_samsung">
              <img alt="image" src="/images/gitlab-com/samsung.png">
            </div>
          </div>
          <div class="logo">
            <div class="logo_spacex">
              <img alt="image" src="/images/gitlab-com/spacex.png">
            </div>
          </div>
          <div class="logo">
            <div class="logo_microsoft">
              <img alt="image" src="/images/gitlab-com/microsoft.png">
            </div>
          </div>
          <div class="logo">
            <div class="logo_shopify">
              <img alt="image" src="/images/gitlab-com/shopify.png">
            </div>
          </div>
          <div class="logo">
            <div class="logo_ibm">
              <img alt="image" src="/images/gitlab-com/toyota.png">
            </div>
          </div>
        </div>
        <br/>
        <div class="disclaimer">
          <small>All logos and trademarks are the property of their respective owners.</small>
        </div>
      </div>

      <hr class="divider" />

      <div class="row support">
        <div class="col-xs-6 col-md-1"></div>
        <div class="col-xs-6 col-md-4 txt-middle">
          <i class="fa fa-briefcase hidden-xs hidden-sm"></i>
        </div>
        <div class="col-md-1 hidden-sm hidden-xs"></div>
        <div class="col-xs-12 col-md-6">
          <h2>Support Package<a name="support-package"></a></h2>
            <ul>
              <li>Free subscribers can use the <a href="https://gitlab.com/gitlab-com/support-forum/issues">GitLab.com Support Forum</a> if they have questions.</li>
                <li>If you purchase <a href="https://gitlab.recurly.com/subscribe/gitlab-com-bronze-yearly-20">GitLab.com Bronze Support</a> you can email support directly for timely, personal and private answers. This costs $9.99 per user per year for next-business-day response time and is available in packs of 20 users.</li>
            </ul>
        </div>
      </div>
      <div class="row panels">
        <h2>Select package<a name="select-package"></a></h2>
        <div class="col-md-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h3 class="panel-title">Free</h3>
            </div>
            <div class="panel-body">
              <b>Unlimited</b> private and public repositories
              <br>
              <b>Unlimited</b> private collaborators
              <br>
              Support via <a href="https://gitlab.com/gitlab-com/support-forum/issues">the forum</a>
              <br>
              <br>
              <b>Completely free</b>
              <br>
              <br>
              <a href="https://gitlab.com/users/sign_up" class="btn btn-lg btn-default">Sign up</a>
            </div>
          </div>
        </div>

        <div class="col-md-6">
          <div class="panel panel-purple">
            <div class="panel-heading">
              <h3 class="panel-title">+ Support</h3>
            </div>
            <div class="panel-body">
              <b>Unlimited</b> private and public repositories
              <br>
              <b>Unlimited</b> private collaborators
              <br>
              <b>Next-business day support</b>
              <br>
              <br>
              <b>$9.99 per user, per year in multiples of 20 users</b>
              <br>
              <br>
              <a href="https://gitlab.recurly.com/subscribe/gitlab-com-bronze-yearly-20" class="btn btn-lg btn-purple">Order support</a>
            </div>
          </div>
        </div>
      </div>

      <hr class="divider" />

      <div class="row security">
        <div class="col-xs-1 col-md-1"></div>
        <div class="col-xs-12 col-md-6">
          <h2>Availability and Security<a name="availability-and-security"></a></h2>
          <ul>
            <li>GitLab.com is monitored 24/7. For updates follow <a href="https://twitter.com/gitlabstatus">@gitlabstatus</a>
              or see our <a title="status" href="https://status.gitlab.com/">status page</a>.</li>
            <li>These are the fingerprints for GitLab.com's SSH host keys:
              <ul>
                <li>
                  DSA<ul><li> MD5:7a:47:81:3a:ee:89:89:64:33:ca:44:52:3d:30:d4:87</li><li> SHA256:p8vZBUOR0XQz6sYiaWSMLmh0t9i8srqYKool/Xfdfqw</li></ul>
                </li>
                <li>
                  ECDSA<ul><li> MD5:f1:d0:fb:46:73:7a:70:92:5a:ab:5d:ef:43:e2:1c:35</li><li> SHA256:HbW3g8zUjNSksFbqTiUWPWg2Bq1x8xdGUrliXFzSnUw</li></ul>
                </li>
                <li>
                  ED25519<ul><li> MD5:2e:65:6a:c8:cf:bf:b2:8b:9a:bd:6d:9f:11:5c:12:16</li><li> SHA256:eUXGGm1YGsMAS7vkcx6JOJdOGHPem5gQp4taiCfCLB8</li></ul>
                </li>
                <li>
                  RSA<ul><li> MD5:b6:03:0e:39:97:9e:d0:e7:24:ce:a3:77:3e:01:42:09</li><li> SHA256:ROQFvPThGrW4RuWLoL9tq9I9zJ42fK4XywyRtbOz/EQ</li></ul>
                </li>
              </ul>
            </li>
            <li>Our servers are hosted on Amazon Web Services (AWS) and Azure, we use configuration management, and we patch our servers at least once a week.</li>
            <li>GitLab offers <a href="https://about.gitlab.com/2015/05/22/gitlab-7-11-released/">Two-Factor Authentication</a> (2FA) and our passwords are one-way encrypted.</li>
            <li>GitLab.com sends emails from the <code>mg.gitlab.com</code> domain via Mailgun and has its own dedicated IP address for this: <code>198.61.254.240</code></li>
            <li>GitLab.com can't be integrated with your LDAP server, if you need this please use <a href="https://about.gitlab.com/features/">GitLab CE or EE</a>.</li>
          </ul>
        </div>
        <div class="hidden-xs hidden-sm col-md-4">
          <i class="fa fa-terminal"></i>
        </div>
        <div class="col-xs-1 col-md-1"></div>
      </div>

      <hr class="divider" />

      <div class="row import">
        <div class="col-xs-1 col-md-1"></div>
        <div class="col-xs-12 col-md-6">
          <h2>Plenty of import options<a name="import-options"></a></h2>
          <ul>
            <li>You can easily import all of your projects, repositories and issues from GitHub with a single click.</li>
          </ul>
        </div>
        <div class="hidden-xs hidden-sm col-md-4">
          <div class="import-image"></div>
        </div>
        <div class="col-xs-1 col-md-1"></div>
      </div>

      <hr class="divider" />

      <div class="row import">
        <div class="col-xs-1 col-md-1"></div>
        <div class="col-xs-12 col-md-6">
          <h2 id="why-gitlab-com-will-be-free-forever"><a name="free-forever"></a>Why GitLab.com will be free forever</h2>
              We want GitLab.com to become the most popular service for hosting projects.
              To achieve this goal, GitLab.com is completely free, both for public and private projects. Unlike other companies in this space, there is no limit to the number of collaborators.
              We think that in the future most repository hosting will be free in the same way email hosting is free today. So we thought, why wait? Let's make it free for everyone now.
              Currently our subscriptions for GitLab on-premises bring in more than enough revenue to pay for hosting.
              In the future we'll introduce a marketplace on GitLab.com where you can subscribe to additional services but we plan to keep the features you have now free.
        </div>
      </div>

    </div>
  </div>
</div>
